#include <iostream>

using namespace std;

int main()
{
    int h,n;
    cin >> h >> n;
    int vp[h][n];
    int finR[n];
    for(int i=0;i<h;i++)
        for(int j=0;j<n;j++)
            cin >> vp[i][j];
    for(int i=0;i<n;i++)
        finR[i]=vp[h-1][i];

    for(int i=0;i<n;i++)
    {
        if(vp[h-1][i]==0)
            if(vp[h-2][i]==1)
            {
                if(vp[h-1][i-1]==1)
                    finR[i-1]++;

                if(vp[h-1][i+1]==1)
                    finR[i+1]++;
            }
    }

    for(int i=0;i<n;i++)
        cout << finR[i] << " ";
    return 0;
}